Zeitgeist.Monitor.Monitor – zeitgeist-2.0 Reference Manual

# Monitor

## Description:

public Monitor (TimeRange time_range, owned GenericArray<Event> event_templates)

zeitgeist_monitor_new

Create a new monitor. Before you can receive signals from the monitor you need to install it in the running Zeitgeist daemon by calling zeitgeist_log_install_monitor().

## Parameters:

time_range | The monitor will only listen for events with timestamps within this time range. Note that it is legal for applications to insert events that are "in the past".
event_templates | A #GPtrArray of #ZeitgeistEvent<!-- -->s. Only listen for events that match any of these templates.

## Returns:

A reference to a newly allocated monitor